%global fontname sil-nuosu
%global fontconf 66-%{fontname}.conf

%global archivename NuosuSIL-%{version}.tar.xz

Name:           %{fontname}-fonts
Version:        2.300
Release:        1
Summary:        The Nuosu SIL Font
License:        OFL-1.1
URL:            http://scripts.sil.org/SILYi_home

Source0:        https://github.com/silnrsi/font-nuosu/releases/download/v%{version}/%{archivename}
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
The Nuosu SIL Font is a single Unicode font for the standardized Yi script
used by a large ethnic group in southwestern China.
Until this version, the font was called SIL Yi.

%package_help 

%prep
%setup -q -n NuosuSIL-%{version}
sed -i 's/\r//' OFL.txt FONTLOG.txt

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt FONTLOG.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sat Sep 02 2023 Ge Wang <wang__ge@126.com> - 2.300-1
- Update to 2.300

* Mon Jul 31 2023 houlifei <houlifei@uniontech.com> - 2.200-1
- Update to 2.200
- Add metainfo file to show this font in gnome-software

* Wed May 25 2022 chendexi <chendexi@kylinos.cn> - 2.1.1-18
- Change the license to "OFL-1.1"

* Thu Nov 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.1-17
- Package init
